%define		_class		XML
%define		_subclass	image2svg
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.1.1
Release:	%mkrel 5
Summary:        Image to SVG conversion
License:        PHP
Group:          Development/PHP
URL:            http://pear.php.net/package/XML_image2svg
Source0:        http://pear.php.net/get/XML_image2svg-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
BuildArch:      noarch

%description
The class converts images, such as of the format JPEG, PNG 
and GIF to a standalone SVG representation. The image is being encoded 
by the PHP native encode_base64() function. You can use it to get back 
a complete SVG file, which is based on a predefinded, easy adaptable 
template file, or you can take the encoded file as a return value, using 
the get() method. Due to the encoding by base64, the SVG files will 
increase approx. 30% in size compared to the conventional image.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_image2svg.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_image2svg.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_image2svg
fi

%files
%{peardir}/*
%{xmldir}/XML_image2svg.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.1.1-5.mga6
+ Revision: 944202
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-4.mga5
+ Revision: 741160
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 687531
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.1.1-2.mga4
+ Revision: 539319
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 spuhler <spuhler> 0.1.1-1.mga4
+ Revision: 491959
- upgrade to version 0.1.1
- pearized spec file
- deleted XML_image2svg-fix-path.patch

* Sun Jan 13 2013 umeabot <umeabot> 0.1-13.mga3
+ Revision: 377503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1-12.mga1
+ Revision: 44428
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_image2svg


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-12mdv2011.0
+ Revision: 613805
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-11mdv2010.1
+ Revision: 464974
- rediff patch, to handle resulting md5sum change
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1-10mdv2010.0
+ Revision: 441718
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1-9mdv2009.1
+ Revision: 323018
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-8mdv2009.0
+ Revision: 237178
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2007.0
+ Revision: 82972
- Import php-pear-XML_image2svg

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package (PLD import)

